Subject: Re: bug#22916: 25.0.92; eww completely hangs Emacs on "invalid" png image

From: Elric Milon <[email-masked]>
Date: Fri, 27 Jan 2017 12:16:56 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> If I understand you correctly, you're only seeing this bug in Cairo
> builds?

Yes, though a while ago I switched to Debian's packaged Emacs 25. I just
checked and it's linked to libcairo and seems to work just fine. So
maybe the bug got fixed since I reported it or the Debian folks are
adding some patches or build flags that fixes that?

I just tried building current master with:

      ./autogen.sh

      ./configure --prefix $(readlink -fe $PWD/../inst) \
          --enable-link-time-optimization \
          --without-pop \
          --with-x-toolkit=gtk3 \
          --without-xaw3d \
          --without-selinux \
          --with-file-notification=yes \
          --with-modules \
          --with-cairo \
          --without-pop \
          --with-x

      make -j4

But it's unusable for me (The whole Emacs frame blinks on and off with the cursor).

--
Elric Milon
PGP: 3939C2B494084E2F | https://whirm.eu